#include "MazeContent/Entities/DynamicEntities/Enemy.h"

std::unique_ptr<IDynamicEntity> Enemy::clone() const {
    return std::make_unique<Enemy>(*this);
}

void Enemy::action() {
    auto miliseconds = static_cast<size_t>(m_stopwatch.getElapsedTime().asMilliseconds());
    if (miliseconds < rand() % 10000)
        return;
    auto direction = static_cast<Room::Direction>(rand() % 4);
    m_ptr_room->get_side(direction)->enter(this);
    m_stopwatch.restart();
}